﻿@* DXCOMMENT: Configure GridView *@
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;


@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "Gv_PickingListInquiryPart";
        settings.KeyFieldName = " PART_PICKING_LIST_NO;PART_NO;TMAP_ORDER_NO;TMAP_ITEM_NO;";
        settings.CallbackRouteValues = new { Controller = "PickingListInquiry", Action = "_PopUpLogSearch" };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);
        
         //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
        settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopupPart";
        settings.ClientSideEvents.EndCallback = "OnEndCallbackPartGrid";        
                
        settings.CommandColumn.Visible = true;
        settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.CommandColumn.ShowSelectCheckbox = true;
        settings.ClientSideEvents.SelectionChanged = "Gv_PickingListInquiryPart_SelectionChanged";
        
        settings.SettingsEditing.Mode = GridViewEditingMode.Inline;      
        
        settings.SettingsPager.Visible = true;
        settings.Settings.ShowFilterRowMenu = false;
        settings.Settings.ShowFilterRow = false;
        
        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "5", "10", "15", "30", "50", "100" };
        settings.SettingsPager.PageSize = 15;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";
                
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.VerticalScrollableHeight = 200;        
        
         // DXCOMMENT: Configure grid's columns in accordance with data model fields         
        settings.Width = 1300;
//        settings.CommandColumn.FixedStyle = GridViewColumnFixedStyle.Left;
        settings.CommandColumn.SetHeaderTemplateContent(c =>
        {
            if (c.Column.VisibleIndex == 0)
            {
                Html.DevExpress().CheckBox(
                    chckBox =>
                    {
                        chckBox.Name = "chckBox";  
                        chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ Gv_PickingListInquiryPart.SelectAllRowsOnPage(chckBox.GetChecked());}";
                    }
                ).Render();
            }
            
        });

        settings.Columns.Add(
        column =>
        {
            column.FieldName = "PART_PICKING_LIST_NO";
            column.Name = "PART_PICKING_LIST_NO";
            column.Caption = "PickingList No";
            column.Visible = false;
            column.CellStyle.Wrap = DefaultBoolean.True;
            column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.Width = Unit.Pixel(130);

        });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PART_NO";
        column.Name = "PART_NO";
        column.Caption = "Part No";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(140);
        column.SetDataItemTemplateContent(container =>
        {
            Html.DevExpress().HyperLink(hlPartSettings =>
            {
                hlPartSettings.Name = string.Format("hlp_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                hlPartSettings.ControlStyle.Font.Underline = true;
                hlPartSettings.NavigateUrl = "javascript:void(0)";
                hlPartSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClickKanban('{0}','{1}','{2}');}}",

                    Convert.ToString(DataBinder.Eval(container.DataItem, "PART_PICKING_LIST_NO")),
                    Convert.ToString(DataBinder.Eval(container.DataItem, "PART_NO")),
                    Convert.ToString(DataBinder.Eval(container.DataItem, "TMAP_ITEM_NO")) 
              );
                hlPartSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
            }).Render();
        });

    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "TMAP_ORDER_NO";
        column.Name = "TMAP_ORDER_NO";
        column.Caption = "Order No";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(130);

    });


    settings.Columns.Add(
    column =>
    {
        column.FieldName = "TMAP_ITEM_NO";
        column.Name = "TMAP_ITEM_NO";
        column.Caption = "Item No";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(80);

    });


    settings.Columns.Add(
    column =>
    {
        column.FieldName = "RACK_ADDRESS_CD";
        column.Name = "RACK_ADDRESS_CD";
        column.Caption = "Rack Address";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(130);

    });


    settings.Columns.Add(
    column =>
    {
        column.FieldName = "ORDER_QTY";
        column.Name = "ORDER_QTY";
        column.Caption = "Plan Qty";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
         column.Width = Unit.Pixel(80);

    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "REMAIN_RECEIVE_QTY";
        column.Name = "REMAIN_RECEIVE_QTY";
        column.Caption = "Remain Qty";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(80);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "RECEIVE_QTY";
        column.Name = "RECEIVE_QTY";
        column.Caption = "Actual Qty";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(80);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "ORDER_TYPE_TMMIN";
        column.Name = "ORDER_TYPE_TMMIN";
        column.Caption = "Order Type TMMIN";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(120);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "TMAP_ORDER_TYPE";
        column.Name = "TMAP_ORDER_TYPE";
        column.Caption = "Order Type TMAP";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(120);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "BUYER_PD";
        column.Name = "BUYER_PD";
        column.Caption = "Buyerpd Code";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(100);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "TRANSP_CD";
        column.Name = "TRANSP_CD";
        column.Caption = "Transport Code";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(100);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "SYSTEM_VALUE";
        column.Name = "SYSTEM_VALUE";
        column.Caption = "Status";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.SpinEdit;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(100);

        SpinEditProperties propertiesSpin = column.PropertiesEdit as SpinEditProperties;
        propertiesSpin.NumberType = SpinEditNumberType.Integer;
        propertiesSpin.DecimalPlaces = 2;
        propertiesSpin.MinValue = 0;
        propertiesSpin.MaxValue = 999999;
    }); 
          
    }).Bind(Model).GetHtml()